Imports ClientForms.SSK.SSKClient.SSKForms
Imports Client.SSK.SSKClient.UIHelper
Imports Client.SSK.SSKClient.ClientStorage

<Global.Microsoft.VisualBasic.CompilerServices.DesignerGenerated()> _
Partial Public Class Form1
    Inherits System.Windows.Forms.Form

    'Form overrides dispose to clean up the component list.
    <System.Diagnostics.DebuggerNonUserCode()> _
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing AndAlso components IsNot Nothing Then
            components.Dispose()
        End If
        MyBase.Dispose(disposing)
    End Sub


    'Required by the Windows Form Designer
    Private components As System.ComponentModel.IContainer

    Public Sub New()
        'launch the splash screen on a seperate thread
        'The first value passed in disables the timer that automatically closes the form.
        'The second value passed is the fade constant, which determines the change in form opacity for every interval of
        'the fadeTimer
        'The third value is the interval for the fadeTimer in ms
        Dim splashTimeout As Integer = 0
        Dim fadeConstant As Double = 0.05
        Dim fadeTimer As Integer = 35


        SplashForm.Showasyncsplash(splashTimeout, fadeConstant, fadeTimer)
        SplashForm.StatusText = "Initializing Data Store"
        Dim ds As New DataStore(SplashForm.FormRef)
        AddHandler ds.DataStoreFailed, AddressOf DataStore_ProccessingFailed


        'wait until the web service if finished processing
        While ds.GetProductState = Client.ProductState.WebServiceInProgress
            System.Threading.Thread.Sleep(1000)
        End While

        If ds.GetProductState = Client.ProductState.NoDataStore Then
        End If
        'notify the user that there was a problem in initializing the app, and verify that they
        'have internet connectivity

        If ds.GetProductState <> Client.ProductState.NoDataStore Then
            SplashForm.StatusText = "Data store initialized"
            System.Threading.Thread.Sleep(2500)
            'start the splash screen closing
            SplashForm.closeAsyncSplash()
        Else
            SplashForm.StatusText = "Error initializing datastore"
            System.Threading.Thread.Sleep(2500)
        End If
        '
        ' Required for Windows Form Designer support
        '
        InitializeComponent()
    End Sub 'New

    Private Sub DataStore_ProccessingFailed(ByVal sender As Object, ByVal e As ProcessingFailedEvent)
        SplashForm.ShowDialogBox(e.FailureInformation.Message)
    End Sub 'DataStore_ProccessingFailed

    'NOTE: The following procedure is required by the Windows Form Designer
    'It can be modified using the Windows Form Designer.  
    'Do not modify it using the code editor.
    <System.Diagnostics.DebuggerStepThrough()> _
    Private Sub InitializeComponent()
        Me.ToolStrip1 = New System.Windows.Forms.ToolStrip
        Me.BuyNowButton = New System.Windows.Forms.ToolStripButton
        Me.RegisterButton = New System.Windows.Forms.ToolStripButton
        Me.SubmitFeedbackButton = New System.Windows.Forms.ToolStripButton
        Me.SubmitExceptionButton = New System.Windows.Forms.ToolStripButton
        Me.CheckLicensingButton = New System.Windows.Forms.ToolStripButton
        Me.PictureBox1 = New System.Windows.Forms.PictureBox
        Me.Label1 = New System.Windows.Forms.Label
        Me.ToolStrip1.SuspendLayout()
        CType(Me.PictureBox1, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.SuspendLayout()
        '
        'ToolStrip1
        '
        Me.ToolStrip1.Items.AddRange(New System.Windows.Forms.ToolStripItem() {Me.BuyNowButton, Me.RegisterButton, Me.SubmitFeedbackButton, Me.SubmitExceptionButton, Me.CheckLicensingButton})
        Me.ToolStrip1.Location = New System.Drawing.Point(0, 0)
        Me.ToolStrip1.Name = "ToolStrip1"
        Me.ToolStrip1.Size = New System.Drawing.Size(566, 25)
        Me.ToolStrip1.TabIndex = 1
        Me.ToolStrip1.Text = "ToolStrip1"
        '
        'BuyNowButton
        '
        Me.BuyNowButton.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
        Me.BuyNowButton.Image = Global.$safeprojectname$.My.Resources.Resources.i_cart
        Me.BuyNowButton.ImageTransparentColor = System.Drawing.Color.Magenta
        Me.BuyNowButton.Name = "BuyNowButton"
        Me.BuyNowButton.Size = New System.Drawing.Size(23, 22)
        Me.BuyNowButton.Text = "ToolStripButton1"
        Me.BuyNowButton.ToolTipText = "Buy Now"
        '
        'RegisterButton
        '
        Me.RegisterButton.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
        Me.RegisterButton.Image = Global.$safeprojectname$.My.Resources.Resources.i_register
        Me.RegisterButton.ImageTransparentColor = System.Drawing.Color.Magenta
        Me.RegisterButton.Name = "RegisterButton"
        Me.RegisterButton.Size = New System.Drawing.Size(23, 22)
        Me.RegisterButton.Text = "ToolStripButton2"
        Me.RegisterButton.ToolTipText = "Submit Registration"
        '
        'SubmitFeedbackButton
        '
        Me.SubmitFeedbackButton.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
        Me.SubmitFeedbackButton.Image = Global.$safeprojectname$.My.Resources.Resources.i_feedback
        Me.SubmitFeedbackButton.ImageTransparentColor = System.Drawing.Color.Magenta
        Me.SubmitFeedbackButton.Name = "SubmitFeedbackButton"
        Me.SubmitFeedbackButton.Size = New System.Drawing.Size(23, 22)
        Me.SubmitFeedbackButton.Text = "ToolStripButton3"
        Me.SubmitFeedbackButton.ToolTipText = "Submit Feedback"
        '
        'SubmitExceptionButton
        '
        Me.SubmitExceptionButton.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
        Me.SubmitExceptionButton.Image = Global.$safeprojectname$.My.Resources.Resources.i_error
        Me.SubmitExceptionButton.ImageTransparentColor = System.Drawing.Color.Magenta
        Me.SubmitExceptionButton.Name = "SubmitExceptionButton"
        Me.SubmitExceptionButton.Size = New System.Drawing.Size(23, 22)
        Me.SubmitExceptionButton.Text = "ToolStripButton4"
        Me.SubmitExceptionButton.ToolTipText = "Test Error Report"
        '
        'CheckLicensingButton
        '
        Me.CheckLicensingButton.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
        Me.CheckLicensingButton.Image = Global.$safeprojectname$.My.Resources.Resources.i_check
        Me.CheckLicensingButton.ImageTransparentColor = System.Drawing.Color.Magenta
        Me.CheckLicensingButton.Name = "CheckLicensingButton"
        Me.CheckLicensingButton.Size = New System.Drawing.Size(23, 22)
        Me.CheckLicensingButton.Text = "ToolStripButton5"
        Me.CheckLicensingButton.ToolTipText = "Check Licensing"
        '
        'PictureBox1
        '
        Me.PictureBox1.Dock = System.Windows.Forms.DockStyle.Fill
        Me.PictureBox1.Image = Global.$safeprojectname$.My.Resources.Resources.first_screen
        Me.PictureBox1.InitialImage = Nothing
        Me.PictureBox1.Location = New System.Drawing.Point(0, 25)
        Me.PictureBox1.Name = "PictureBox1"
        Me.PictureBox1.Size = New System.Drawing.Size(566, 342)
        Me.PictureBox1.TabIndex = 2
        Me.PictureBox1.TabStop = False
        '
        'Label1
        '
        Me.Label1.BackColor = System.Drawing.Color.White
        Me.Label1.Font = New System.Drawing.Font("Tahoma", 9.75!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label1.Location = New System.Drawing.Point(252, 200)
        Me.Label1.Name = "Label1"
        Me.Label1.Size = New System.Drawing.Size(302, 95)
        Me.Label1.TabIndex = 3
        Me.Label1.Text = "Please use the buttons in the toolbar to test the features of the Shareware Start" & _
            "er Kit.  The check licensing button will display the current application status." & _
            ""
        '
        'Form1
        '
        Me.AutoScaleDimensions = New System.Drawing.SizeF(6.0!, 13.0!)
        Me.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font
        Me.ClientSize = New System.Drawing.Size(566, 367)
        Me.Controls.Add(Me.Label1)
        Me.Controls.Add(Me.PictureBox1)
        Me.Controls.Add(Me.ToolStrip1)
        Me.Name = "Form1"
        Me.Text = "Form1"
        Me.ToolStrip1.ResumeLayout(False)
        Me.ToolStrip1.PerformLayout()
        CType(Me.PictureBox1, System.ComponentModel.ISupportInitialize).EndInit()
        Me.ResumeLayout(False)
        Me.PerformLayout()

    End Sub
    Friend WithEvents ToolStrip1 As System.Windows.Forms.ToolStrip
    Friend WithEvents BuyNowButton As System.Windows.Forms.ToolStripButton
    Friend WithEvents RegisterButton As System.Windows.Forms.ToolStripButton
    Friend WithEvents SubmitFeedbackButton As System.Windows.Forms.ToolStripButton
    Friend WithEvents SubmitExceptionButton As System.Windows.Forms.ToolStripButton
    Friend WithEvents CheckLicensingButton As System.Windows.Forms.ToolStripButton
    Friend WithEvents PictureBox1 As System.Windows.Forms.PictureBox
    Friend WithEvents Label1 As System.Windows.Forms.Label

End Class
