
Imports System
Imports System.Collections.Generic
Imports System.Text
Imports System.Diagnostics


Namespace SSK.SSKClient.UIHelper
   
   Public Class Logger
      Private Shared bSetup As Boolean = False
      
      
      Public ReadOnly Property AlreadySetup() As Boolean
         Get
            Return bSetup
         End Get
      End Property
      
      
      Public Sub New(path As String, fileName As String)
         If Not bSetup Then
            Try
               Dim logPath As String = path
               
               Dim log As Boolean = False
               
               'log = Convert.ToBoolean(ConfigurationSettings.AppSettings["loggingEnabled"]);
               log = True
               
               If log Then
                  ' Setup logging listener
                  Trace.Listeners.Add(New TextWriterTraceListener(logPath + "\" + fileName))
                  Trace.AutoFlush = True
               End If
            
            Catch ex As System.Exception
            End Try
            
            ' Do nothing, logging will not be enabled
            
            bSetup = True
         End If
      End Sub 'New
       
      
      Public Shared Sub Log(s As String)
            If $safeprojectname$.My.Settings.LoggingEnabled Then
                Trace.WriteLine((DateTime.Now.ToString() + " : " + s))
            End If
      End Sub 'Log 
   End Class 'Logger
End Namespace 'SSK.SSKClient.UIHelper 
