Imports ClientForms.SSK.SSKClient.SSKForms
Imports Client.SSK.SSKClient.UIHelper
Imports Client.SSK.SSKClient.ClientStorage


Public Class Form1

    Private Sub BuyNowButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BuyNowButton.Click
        Try
            Dim buyMe As New BuyNowForm()
            buyMe.ShowDialog()
        Catch datStoreAppConfigException As Client.DataStoreAppConfigException
        End Try
    End Sub

    Private Sub RegisterButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RegisterButton.Click
        Try
            Dim register As New RegisterForm()
            register.ShowDialog()
        Catch datStoreAppConfigException As Client.DataStoreAppConfigException
        End Try
    End Sub

    Private Sub SubmitFeedbackButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SubmitFeedbackButton.Click
        Try
            Dim feedback As New FeedbackForm()
            feedback.ShowDialog()
        Catch datStoreAppConfigException As Client.DataStoreAppConfigException
        End Try
    End Sub

    Private Sub SubmitExceptionButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SubmitExceptionButton.Click
        Dim exceptionNullTest As String = Nothing
        Try
            'try and check the length without initializing the string to throw
            'an exception for testing
            If exceptionNullTest.Length > 0 Then
            End If

            'catch the exception to display the exception form
        Catch ex As Exception
            Try
                Dim exForm As New ExceptionForm(ex.Message, ex.Source, ex.StackTrace, "simulateExceptionButton_Click")
                exForm.ShowDialog(Me)
            Catch datStoreAppConfigException As Client.DataStoreAppConfigException
            End Try
        End Try 'Form cannot be used until the datstore has been initialized.

    End Sub

    Private Sub CheckLicensingButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckLicensingButton.Click
        Dim ds As New DataStore(Me)
        Dim displayText As String

        displayText = "Product State: " + ds.GetProductState.ToString() + ControlChars.Cr + ControlChars.Lf + ControlChars.Cr + ControlChars.Lf + ControlChars.Cr + ControlChars.Lf
        displayText += "Product License Level: " + ds.GetLicenseLevel.LicenseLevel + " " + ds.GetLicenseLevel.LicenseLevelID.ToString() + ControlChars.Cr + ControlChars.Lf + ControlChars.Cr + ControlChars.Lf + ControlChars.Cr + ControlChars.Lf
        displayText += "Is User Registered: " + ds.UserRegistered.ToString() + ControlChars.Cr + ControlChars.Lf + ControlChars.Cr + ControlChars.Lf + ControlChars.Cr + ControlChars.Lf
        Try
            displayText += "Trial Days Elapsed: " + ds.DaysElapsedSinceInstall.ToString() + ControlChars.Cr + ControlChars.Lf + ControlChars.Cr + ControlChars.Lf + ControlChars.Cr + ControlChars.Lf
        Catch ex As Client.DataStoreChronologyException
            displayText += ex.Message
        End Try
        MessageBox.Show(Me, displayText)

    End Sub
End Class
